Subject: Re: bug#63641: [PATCH 0/8] Add libc specific to Hurd and update components

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Wed, 14 Jun 2023 12:33:16 +0200

Ludovic Courtès writes:

Hello Ludo, Josselin,

>>> As discussed on IRC, I found that we're still building glibc-2.35 during
>>> commencement.  I overlooked that this recent patch of yours made these
>>> changes in commencement, so I already made patches for this (attached).
>>
>> Even with these patches (on wip-hurd now), gcc-toolchain still depends
>> on glibc-2.35 for offload builds, as you can see when doing
>>
>>     ./pre-inst-env guix build --system=i568-gnu -d gcc-toolchain
>>
>> from GNU/Linux.  When running this same build in a childhurd, the
>> glibc-2.35 dependency is gone.  Note that gcc-final, i.e.
>>
>>     ./pre-inst-env guix build --system=i568-gnu -d \
>>        -e '(@@ (gnu packages commencement) gcc-final)'
>>
>> does not depend ond glibc-2.35, but both glibc-final and
>> glibc-final-with-bootstrap-bash build 2.35 when using --system.
>
> Turns out that this was because ‘%final-inputs’ now also needs to be
> parameterized by system type so it returns the right ‘glibc-final’
> package.  Patch below.
>
> Josselin, Janneke: could you squash this with the original
> ‘libc-for-target’ patch?
>
> (Eventually we should update callers of ‘standard-packages’ so they pass
> the ‘system’ argument.)

Beautiful, thanks!  As libc-for-target is Josselin's patch, I kept it as
a separate "squash! ..." commit right now, adding a changelog message

    https://git.savannah.gnu.org/cgit/guix.git/commit/?h=wip-hurd&id=1d3b66230f7d5730ce50b654f4b3a83cc28859e7

and put it on top of of my earlier "squash! ..." commit for the
libc-for-target patch

    https://git.savannah.gnu.org/cgit/guix.git/commit/?h=wip-hurd&id=81455d49bac2c8cf3f0f1663773a95b22e6ebc7d

for easier reading/revieving by Josselin, and squashing should be
trivial.

I have reset the "wip-hurd" branch, and as discussed on IRC plan to
would like to rename it to "hurd-team", possibly later today.

In other news, I have built all dependencies needed for `guix' natively
using (the previous) "wip-hurd" branch.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com